equal(zero,zero).
equal(succ(X),succ(X)).
equal(pred(X),pred(X)).

unequal(zero,succ(Y)).
unequal(zero,pred(Y)).
unequal(succ(X),pred(Y)).
unequal(pred(X),succ(Y)).
unequal(succ(X),succ(Y)) :- unequal(X,Y).
unequal(pred(X),pred(Y)) :- unequal(X,Y).

plus(zero,X,X).
plus(succ(X),zero,succ(X)).
plus(succ(X),succ(Y),succ(succ(Z))) :- plus(X,Y,Z).
plus(succ(X),pred(Y),Z) :- plus(X,Y,Z).
plus(pred(X),zero,pred(X)).
plus(pred(X),succ(Y),Z) :- plus(X,Y,Z).
plus(pred(X),pred(Y),pred(pred(Z))) :- plus(X,Y,Z).

minus(X,zero,X).
minus(zero,succ(Y),pred(Z)) :- minus(zero,Y,Z).
minus(zero,pred(Y),succ(Z)) :- minus(zero,Y,Z).
minus(succ(X),succ(Y),Z) :- minus(X,Y,Z).
minus(succ(X),pred(Y),succ(succ(Z))) :- minus(X,Y,Z).
minus(pred(X),succ(Y),pred(pred(Z))) :- minus(X,Y,Z).
minus(pred(X),pred(Y),Z) :- minus(X,Y,Z).

mul(X,zero,zero).
mul(zero,succ(Y),zero).
mul(zero,pred(Y),zero).
mul(succ(X),succ(Y),Z) :- mul(succ(X),Y,A), plus(A,succ(X),Z).
mul(succ(X),pred(Y),Z) :- mul(succ(X),Y,A), minus(A,succ(X),Z).
mul(pred(X),succ(Y),Z) :- mul(pred(X),Y,A), plus(A,pred(X),Z).
mul(pred(X),pred(Y),Z) :- mul(pred(X),Y,A), minus(A,pred(X),Z).

div(zero,succ(Y),zero).
div(zero,pred(Y),zero).
div(succ(X),succ(Y),zero) :- minus(succ(X),succ(Y),pred(Z)).
div(succ(X),succ(Y),succ(Z)) :- minus(succ(X),succ(Y),A),div(A,succ(Y),Z).
div(succ(X),pred(Y),Z) :- minus(zero,pred(Y),A), div(succ(X),A,B), minus(zero,B,Z).
div(pred(X),pred(Y),zero) :- minus(pred(X),pred(Y),succ(Z)).
div(pred(X),pred(Y),succ(Z)) :- minus(pred(X),pred(Y),A),div(A,pred(Y),Z).
div(pred(X),succ(Y),Z) :- minus(zero,pred(X),A), div(A,succ(Y),B), minus(zero,B,Z).

modulo(X,Y,Z) :- div(X,Y,A),mul(A,Y,B),minus(X,B,Z).

gt(succ(X),zero).
gt(succ(X),pred(Y)).
gt(succ(X),succ(Y)) :- gt(X,Y).
gt(zero,pred(Y)).
gt(pred(X),pred(Y)) :- gt(X,Y).

lt(pred(X),zero).
lt(pred(X),succ(Y)).
lt(pred(X),pred(Y)) :- lt(X,Y).
lt(zero,succ(X)).
lt(succ(X),succ(Y)) :- lt(X,Y).

geq(X,Y) :- equal(X,Y).
geq(X,Y) :- gt(X,Y).

leq(X,Y) :- equal(X,Y).
leq(X,Y) :- lt(X,Y).